VERSION 5.00
Begin VB.Form frmTitler 
   Caption         =   "MD Titler"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   Icon            =   "frmTitler.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdGo 
      Caption         =   "Go!"
      CausesValidation=   0   'False
      Height          =   375
      Left            =   3120
      TabIndex        =   2
      Top             =   2760
      Width           =   1455
   End
   Begin VB.TextBox txtTitle 
      Enabled         =   0   'False
      Height          =   285
      Left            =   120
      TabIndex        =   1
      Top             =   120
      Width           =   4455
   End
   Begin VB.ListBox lstTracks 
      Columns         =   1
      Height          =   2205
      IntegralHeight  =   0   'False
      Left            =   120
      Style           =   1  'Checkbox
      TabIndex        =   0
      Top             =   480
      Width           =   4455
   End
End
Attribute VB_Name = "frmTitler"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'RemotePRO - emulate IR remote controls using "simplest" IR circuit
'See circuit at http://www.geocities.com/odednoam for circuit
'Copyright (C) 2002 Oded Noam
'
'This program is free software; you can redistribute it and/or
'modify it under the terms of the GNU General Public License
'as published by the Free Software Foundation; either version 2
'of the License, or (at your option) any later version.
'
'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'GNU General Public License for more details.
'
'You should have received a copy of the GNU General Public License
'along with this program; if not, write to the Free Software
'Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
Option Explicit

Private m_iGridUnit As Integer

Private Sub cmdGo_Click()
    Dim i As Integer
    For i = 0 To lstTracks.ListCount - 1
        If lstTracks.Selected(i) Then
            ' Goto this track on the md
            SendCommandE ircmdplay
            SendCommandE ircmdpause
            SendCommandE ircMDTrackMinus
            SendCommandE GetMDCommand(Int((i + 1) / 10))
            SendCommandE GetMDCommand((i + 1) Mod 10)
            Delay 1500
            SendCommandE ircMDEdit
            Delay 2000
            SendString lstTracks.List(i)
            SendCommandE ircMDEdit
            Delay 1500
            SendCommandE ircMDStop
        End If
    Next i
End Sub

Private Function GetMDCommand(in_iTrack As Integer) As ControlCommands
    Select Case in_iTrack
        Case 0:
            GetMDCommand = ircMDTrack0
        Case 1:
            GetMDCommand = ircMDTrack1
        Case 2:
            GetMDCommand = ircMDTrack2
        Case 3:
            GetMDCommand = ircMDTrack3
        Case 4:
            GetMDCommand = ircMDTrack4
        Case 5:
            GetMDCommand = ircMDTrack5
        Case 6:
            GetMDCommand = ircMDTrack6
        Case 7:
            GetMDCommand = ircMDTrack7
        Case 8:
            GetMDCommand = ircMDTrack8
        Case 9:
            GetMDCommand = ircMDTrack9
    End Select
End Function
Private Sub Form_Load()
    Dim i As Integer
    For i = 1 To 30
        lstTracks.AddItem ("Track #" & i)
    Next i
    m_iGridUnit = Me.ScaleX(6, vbPixels)
End Sub

Private Sub Form_Resize()
    txtTitle.Left = m_iGridUnit
    txtTitle.Width = Me.ScaleWidth - 2 * m_iGridUnit
    lstTracks.Left = m_iGridUnit
    lstTracks.Width = txtTitle.Width
    lstTracks.Height = Me.ScaleHeight - txtTitle.Height - cmdGo.Height - 4 * m_iGridUnit
    cmdGo.Left = Me.ScaleWidth - cmdGo.Width - m_iGridUnit
    cmdGo.Top = Me.ScaleHeight - cmdGo.Height - m_iGridUnit
End Sub

Private Sub lstTracks_Click()
    If lstTracks.ListIndex >= 0 Then
        txtTitle.Text = lstTracks.List(lstTracks.ListIndex)
        txtTitle.Enabled = True
    Else
        txtTitle.Text = ""
        txtTitle.Enabled = False
    End If

End Sub

Private Sub lstTracks_KeyUp(KeyCode As Integer, Shift As Integer)
    If KeyCode = Asc(vbCr) Then
        txtTitle.SetFocus
        txtTitle.SelStart = 0
        txtTitle.SelLength = Len(txtTitle.Text)
    End If
End Sub

Private Sub txtTitle_Change()
    If txtTitle.Text <> lstTracks.List(lstTracks.ListIndex) Then
        lstTracks.List(lstTracks.ListIndex) = txtTitle.Text
        lstTracks.Selected(lstTracks.ListIndex) = True
    End If
    
End Sub

Private Sub txtTitle_Click()
    txtTitle.SelStart = 0
    txtTitle.SelLength = 1000
End Sub

Private Sub txtTitle_KeyUp(KeyCode As Integer, Shift As Integer)
    If KeyCode = Asc(vbCr) Then
        lstTracks.SetFocus
        
        
    End If
    
    
End Sub
