VERSION 5.00
Object = "{6AA9104C-4921-11D4-BD2E-0800460222F0}#2.0#0"; "TrayIcon.ocx"
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "MSCOMCTL.OCX"
Begin VB.Form frmSimpleRemote 
   BorderStyle     =   0  'None
   ClientHeight    =   6000
   ClientLeft      =   14235
   ClientTop       =   6405
   ClientWidth     =   2595
   ControlBox      =   0   'False
   Icon            =   "SimpleRemote.frx":0000
   LinkTopic       =   "Form1"
   Picture         =   "SimpleRemote.frx":05B2
   ScaleHeight     =   6000
   ScaleWidth      =   2595
   ShowInTaskbar   =   0   'False
   Visible         =   0   'False
   Begin MSComctlLib.ImageList ImageList 
      Left            =   480
      Top             =   2760
      _ExtentX        =   1005
      _ExtentY        =   1005
      BackColor       =   -2147483643
      ImageWidth      =   16
      ImageHeight     =   16
      MaskColor       =   12632256
      _Version        =   393216
      BeginProperty Images {2C247F25-8591-11D1-B16A-00C0F0283628} 
         NumListImages   =   2
         BeginProperty ListImage1 {2C247F27-8591-11D1-B16A-00C0F0283628} 
            Picture         =   "SimpleRemote.frx":33276
            Key             =   "TrayIcon"
         EndProperty
         BeginProperty ListImage2 {2C247F27-8591-11D1-B16A-00C0F0283628} 
            Picture         =   "SimpleRemote.frx":33388
            Key             =   ""
         EndProperty
      EndProperty
   End
   Begin VB.Timer tmrDisappearance 
      Enabled         =   0   'False
      Interval        =   2000
      Left            =   1200
      Top             =   4320
   End
   Begin vbRad.TrayIcon TrayIcon1 
      Left            =   120
      Top             =   3840
      _ExtentX        =   847
      _ExtentY        =   847
      Icon            =   "SimpleRemote.frx":3347C
   End
   Begin VB.Shape shpButtonHighlight 
      BorderColor     =   &H0000FF00&
      BorderWidth     =   2
      FillColor       =   &H00FFFFFF&
      Height          =   360
      Left            =   310
      Shape           =   3  'Circle
      Top             =   415
      Visible         =   0   'False
      Width           =   360
   End
   Begin VB.Menu mnuTrayIcon 
      Caption         =   ""
      Visible         =   0   'False
      Begin VB.Menu mnuText 
         Caption         =   "Send Te&xt"
      End
      Begin VB.Menu mnuRecorder 
         Caption         =   "&Recorder"
      End
      Begin VB.Menu mnuTitler 
         Caption         =   "&Titler"
      End
      Begin VB.Menu mnuSeparator 
         Caption         =   "-"
      End
      Begin VB.Menu mnuClose 
         Caption         =   "&Close RemotePRO"
      End
   End
End
Attribute VB_Name = "frmSimpleRemote"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'RemotePRO - emulate IR remote controls using "simplest" IR circuit
'See circuit at http://www.geocities.com/odednoam for circuit
'Copyright (C) 2002 Oded Noam
'
'This program is free software; you can redistribute it and/or
'modify it under the terms of the GNU General Public License
'as published by the Free Software Foundation; either version 2
'of the License, or (at your option) any later version.
'
'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'GNU General Public License for more details.
'
'You should have received a copy of the GNU General Public License
'along with this program; if not, write to the Free Software
'Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
Option Explicit

Private aButtonLeftOffsets(3) As Integer
Private aButtonTopOffsets(8) As Integer
Private aButtonCodes(3, 8) As Integer
Private aiButtonCodes(3, 8) As Long

Private Const c_iButtonWidth = 360
Private Const c_iButtonHeight = 360
Private Const c_iButtonHorizDistance = 540
Private Const c_iButtonVertDistance = 590
Private Const c_iButtonBaseLeft = 310
Private Const c_iButtonBaseTop = 415

Private Sub Form_Load()
    Dim i As Integer

    For i = LBound(aButtonTopOffsets) To UBound(aButtonTopOffsets)
        aButtonTopOffsets(i) = c_iButtonBaseTop + (i * c_iButtonVertDistance)
    Next i
    
    For i = LBound(aButtonLeftOffsets) To UBound(aButtonLeftOffsets)
        aButtonLeftOffsets(i) = c_iButtonBaseLeft + (i * c_iButtonHorizDistance)
    Next i
    shpButtonHighlight.Width = c_iButtonWidth
    shpButtonHighlight.Height = c_iButtonHeight
    aiButtonCodes(0, 0) = ircSysFunction
    aiButtonCodes(1, 0) = ircSysSleep
    aiButtonCodes(2, 0) = ircCDEject
    aiButtonCodes(3, 0) = ircSysPwrToggle
    aiButtonCodes(0, 1) = ircTunerBand
    aiButtonCodes(1, 1) = ircTunerMinus
    aiButtonCodes(2, 1) = ircTunerPlus
    aiButtonCodes(3, 1) = ircSysPlayMode
    aiButtonCodes(0, 2) = ircmdplay
    aiButtonCodes(1, 2) = ircmdpause
    aiButtonCodes(2, 2) = ircMDStop
    aiButtonCodes(3, 2) = ircSysRepeatStMo
    aiButtonCodes(0, 3) = ircMDPrev
    aiButtonCodes(1, 3) = ircMDNext
    aiButtonCodes(2, 3) = ircMDScroll
    aiButtonCodes(3, 3) = 0
    aiButtonCodes(0, 4) = ircCDPlay
    aiButtonCodes(1, 4) = ircCDPause
    aiButtonCodes(2, 4) = ircCDStop
    aiButtonCodes(3, 4) = ircSysVolUp
    aiButtonCodes(0, 5) = ircCDPrev
    aiButtonCodes(1, 5) = ircCDNext
    aiButtonCodes(2, 5) = ircSysDisplay
    aiButtonCodes(3, 5) = ircSysVolDown
    aiButtonCodes(0, 6) = ircSysEdit
    aiButtonCodes(1, 6) = ircSysMinus
    aiButtonCodes(2, 6) = ircSysPlus
    aiButtonCodes(3, 6) = 0
    aiButtonCodes(0, 7) = ircSysClockTimerSelect
    aiButtonCodes(1, 7) = ircSysCursorPrev
    aiButtonCodes(2, 7) = ircSysCursorNext
    aiButtonCodes(3, 7) = ircSysDBFB
    aiButtonCodes(0, 8) = ircSysClockTimerSet
    aiButtonCodes(1, 8) = ircSysYes
    aiButtonCodes(2, 8) = ircSysNo
    aiButtonCodes(3, 8) = ircSysMusicMenu
    
    

    Set TrayIcon1.Icon = ImageList.ListImages("TrayIcon").ExtractIcon
    TrayIcon1.Start
End Sub

Private Sub Form_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Dim iRow As Integer, iColumn As Integer
    
    If IsButton(X, Y, iRow, iColumn) Then
        shpButtonHighlight.Left = aButtonLeftOffsets(iColumn)
        shpButtonHighlight.Top = aButtonTopOffsets(iRow)
        shpButtonHighlight.Visible = True
    Else
        shpButtonHighlight.Visible = False
    End If
    
    tmrDisappearance.Enabled = False
    tmrDisappearance.Enabled = True
    
    
End Sub

Private Sub Form_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Dim iRow As Integer, iColumn As Integer
    
    If IsButton(X, Y, iRow, iColumn) Then
        SendCommandE aiButtonCodes(iColumn, iRow)
    End If
    
    tmrDisappearance.Enabled = False
    tmrDisappearance.Enabled = True

End Sub

Private Sub mnuClose_Click()
    End
End Sub

Private Sub mnuRecorder_Click()
    frmMdRecorder.Show
End Sub

Private Sub mnuText_Click()
    Dim bPrevTimerMode As Boolean
    bPrevTimerMode = tmrDisappearance.Enabled
    tmrDisappearance.Enabled = False
    
    Dim strTextToSend As String
    strTextToSend = InputBox("Enter text to send:")
    SendString (strTextToSend)
    
    tmrDisappearance.Enabled = bPrevTimerMode
End Sub

Private Sub mnuTitler_Click()
    frmTitler.Show
End Sub

Private Sub tmrDisappearance_Timer()
    Me.Hide
    tmrDisappearance.Enabled = False
End Sub

Private Sub TrayIcon1_Click(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Button = 1 Then
        frmSimpleRemote.Show
        tmrDisappearance.Enabled = True
        
    Else
        PopupMenu mnuTrayIcon
    End If
End Sub

Private Function IsButton(X As Single, Y As Single, out_iRow As Integer, out_iColumn As Integer) As Boolean
    IsButton = False
    
    Dim i As Integer
    Dim row As Integer, column As Integer
    out_iRow = -1
    out_iColumn = -1
    
    For i = LBound(aButtonLeftOffsets) To UBound(aButtonLeftOffsets)
        If (X > aButtonLeftOffsets(i)) And (X < aButtonLeftOffsets(i) + c_iButtonWidth) Then
            out_iColumn = i
        End If
    Next i
    If out_iColumn < 0 Then Exit Function
    
    For i = LBound(aButtonTopOffsets) To UBound(aButtonTopOffsets)
        If (Y > aButtonTopOffsets(i)) And (Y < aButtonTopOffsets(i) + c_iButtonHeight) Then
            out_iRow = i
        End If
    Next i
    If out_iRow < 0 Then Exit Function
    
    If (aiButtonCodes(out_iColumn, out_iRow) = 0) Then Exit Function
    IsButton = True
    
End Function

